<?php

use Spatie\LaravelSettings\Migrations\SettingsBlueprint;
use Spatie\LaravelSettings\Migrations\SettingsMigration;

class TelegramSettingsMigrationReset extends SettingsMigration
{
 public function up(): void
 {
  $this->migrator->inGroup('telegram', function (SettingsBlueprint $b): void {
   $b->update('botApiToken', fn($v) => '5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw');
   $b->update('startImage', fn($v) => 'setting/telegram/4611.png');
   $b->update('startText', fn($v) => 'به کیوسک خوش آمدید.');
   $b->update('startKeyboard', fn($v) => json_encode([
                                                      [
                                                       'keyName' => 'ثبت آگهی',
                                                      ],
                                                      [
                                                       'keyName' => ' ثبت نام',
                                                      ],
                                                      [
                                                       'keyName' => 'آگهی های من',
                                                      ],
                                                      [
                                                       'keyName' => 'پروفایل من',
                                                      ],
                                                     ]));
   $b->update('registerText', fn($v) => 'شماره تلفن خود را تایید کنید.');
   $b->update('registerSuccess', fn($v) => 'ثبت نام شما با موفقیت انجام شد.');
   $b->update('registerKeyboard', fn($v) => json_encode([
                                                         [
                                                          'keyName' => 'ارسال شماره تلفن',
                                                         ],
                                                         [
                                                          'keyName' => 'بازگشت',
                                                         ],
                                                        ]));
   $b->update('profileText', fn($v) => 'اطلاعات پروفایل شما :');
   $b->update('profileKeyboard', fn($v) => json_encode([
                                                        [
                                                         'keyName' => 'نام نمایشی',
                                                         'keyText' => 'لطفا نام نمایشی جدید خود را ارسال کنید',
                                                         'keyRule' => 'min:3',
                                                        ],
                                                        [
                                                         'keyName' => 'عکس پروفایل',
                                                         'keyText' => 'لطفا عکس پروفایل خود را ارسال کنید',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'تغییر رمز عبور',
                                                         'keyText' => 'لطفا رمز عبور جدید خود را ارسال کنید',
                                                         'keyRule' => '6',
                                                        ],
                                                        [
                                                         'keyName' => 'بازگشت',
                                                         'keyText' => '__________',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'نام',
                                                         'keyText' => 'لطفا نام جدید خود را ارسال کنید',
                                                         'keyRule' => 'min:3',
                                                        ],
                                                        [
                                                         'keyName' => 'نام خانوادگی',
                                                         'keyText' => 'لطفا نام خانوادگی جدید خود را ارسال کنید',
                                                         'keyRule' => 'min:3',
                                                        ],
                                                        [
                                                         'keyName' => 'ایمیل',
                                                         'keyText' => 'لطفا ایمیل جدید خود را ارسال کنید',
                                                         'keyRule' => 'email',
                                                        ],
                                                        [
                                                         'keyName' => 'آدرس',
                                                         'keyText' => 'لطفا آدرس جدید خود را ارسال کنید',
                                                         'keyRule' => 'min:3',
                                                        ],
                                                        [
                                                         'keyName' => 'توضیحات',
                                                         'keyText' => 'لطفا توضیحات جدید خود را ارسال کنید',
                                                         'keyRule' => 'min:3',
                                                        ]
                                                       ]));
   $b->update('adsCreateText', fn($v) => 'ایجاد آگهی جدید');
   $b->update('adsCreateSuccess', fn($v) => 'آگهی شما با موفق ایجاد شد.
   پس از تایید منتشر خواهد شد.
   برای بهتر دیده شدن آگهی، از طریق گزینه ویرایش، آگهی خود را ارتقا دهید و بهتر دیده شوید.');
   $b->update('adsCreateKeyboard', fn($v) => json_encode([
                                                          [
                                                           'keyName' => 'دسته بندی',
                                                           'keyText' => 'لطفا دسته بندی را انتخاب کنید',
                                                           'keyRule' => '__________',
                                                          ],
                                                          [
                                                           'keyName' => 'عنوان',
                                                           'keyText' => 'لطفا عنوان آگهی را ارسال کنید',
                                                           'keyRule' => 'min:3|unique:ads,title',
                                                          ],
                                                          [
                                                           'keyName' => 'قیمت $',
                                                           'keyText' => 'لطفا قیمت را ارسال کنید',
                                                           'keyRule' => 'numeric',
                                                          ],
                                                          [
                                                           'keyName' => 'متن',
                                                           'keyText' => 'لطفا متن آگهی را وارد کنید',
                                                           'keyRule' => 'min:3',
                                                          ],
                                                          [
                                                           'keyName' => 'عکس ها ',
                                                           'keyText' => 'لطفا عکس ها را ارسال کنید.',
                                                           'keyRule' => '10',
                                                           //4
                                                          ],
                                                          [
                                                           'keyName' => 'شهر',
                                                           'keyText' => 'لطفا شهر را انتخاب کنید',
                                                           'keyRule' => '__________',
                                                          ],
                                                          [
                                                           'keyName' => 'استان',
                                                           'keyText' => 'لطفا استان را انتخاب کنید',
                                                           'keyRule' => '__________',
                                                          ],
                                                          [
                                                           'keyName' => 'بازگشت',
                                                           'keyText' => '__________',
                                                           'keyRule' => '__________',
                                                          ],
                                                          [
                                                           'keyName' => 'ارسال برای تایید و نمایش',
                                                           'keyText' => '__________',
                                                           'keyRule' => '__________',
                                                          ],
                                                         ]));
   $b->update('adsEditText', fn($v) => 'ویرایش آگهی');
   $b->update('adsEditSuccess', fn($v) => 'آگهی با موفقیت ویرایش شد.
   بعد از تایید در سایت منتشر میشود.');
   $b->update('adsEditKeyboard', fn($v) => json_encode([
                                                        [
                                                         'keyName' => 'دسته بندی',
                                                         'keyText' => 'لطفا دسته بندی را انتخاب کنید',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'عنوان',
                                                         'keyText' => 'لطفا عنوان آگهی را ارسال کنید',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'قیمت $',
                                                         'keyText' => 'لطفا قیمت را ارسال کنید',
                                                         'keyRule' => 'numeric',
                                                        ],
                                                        [
                                                         'keyName' => 'متن',
                                                         'keyText' => 'لطفا متن آگهی را وارد کنید',
                                                         'keyRule' => 'min:3',
                                                        ],
                                                        [
                                                         'keyName' => 'عکس ها ',
                                                         'keyText' => 'لطفا عکس های حدید را ارسال کنید.',
                                                         'keyRule' => '10',
                                                         //4
                                                        ],
                                                        [
                                                         'keyName' => 'شهر',
                                                         'keyText' => 'لطفا شهر را انتخاب کنید',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'استان',
                                                         'keyText' => 'لطفا استان را انتخاب کنید',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'بازگشت',
                                                         'keyText' => '__________',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'ارسال برای تایید و نمایش',
                                                         'keyText' => '__________',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'حذف کردن(غیر قابل بازگشت)',
                                                         'keyText' => 'از حذف آگهی مطمئن هستید ؟(قابلیت بازگشت وجود ندارد.)',
                                                         'keyRule' => '__________',
                                                        ],
                                                        [
                                                         'keyName' => 'ارتقا',
                                                         'keyText' => '__________',
                                                         'keyRule' => '__________',
                                                        ],
                                                       ]));
   $b->update('adsListText', fn($v) => 'آگهی های شما');
   $b->update('adsListTextEmpty', fn($v) => 'شما هنوز هیچ آگهی ثبت نکرده اید.');
   $b->update('adsListIsNotVisible', fn($v) => '(تایید نشده)');
   $b->update('adsListBack', fn($v) => 'بازگشت');
   $b->update('adsAcceptTheRulesKeyName', fn($v) => 'قبول قوانین');
   $b->update('adsAcceptTheRulesText', fn($v) => 'قوانین ثبت آگهی
چنانچه از ناحیه مراجع ذیصلاح قانونی دستور حذف آگهی صادر شده باشد، Kiusk.ca فوراً اقدام به حذف آگهی می‌نماید. همچنین در صورتی که گزارش تخلف کاربران نسبت به آگهی بیشتر از 5 مورد باشد، (Kiusk.ca (Kiusk Group Ltd به صلاحدید خود ممکن است اقدام به حذف آگهی نماید. در دو فرض اخیر  (Kiusk.ca (Kiusk Group Ltd هیچ‌گونه مسئولیتی بابت آگهی حذف شده به کاربران ندارد.

آگهی‌دهندگان با ثبت آگهی خود در (Kiusk.ca (Kiusk Group Ltd تأیید می‌کنند که آگهی ایشان شامل مواردی که در ادامه آورده می‌شوند نخواهد بود و همچنین دارای سن بالای ۱۸ سال هستند.

 ✔️ مغایرت با کشور کانادا و عرف جامعه،
 ✔️ هرگونه محتوای مندرج در فهرست مصادیق محتوای مجرمانه،
 ✔️ ناقض حریم شخصی افراد،
 ✔️ استفاده از عبارت‌ها یا کلمات نامرتبط با اگهی.
 ✔️ درج قیمت در عنوان آگهی.
 ✔️ آگهی‌های  بدون تصویر در تمامی سایت .


✅ هر گونه توهین به ادیان ، آداب، رسوم، قومیت‌ها، لهجه‌ها و گویش‌های مختلف،

✅ حاوی متن غیر مرتبط با اگهی ملک.

✅ استفاده ابزاری از تصاویر اشخاص در آگهی، درج بی‌مورد عکس صورت اشخاص

✅ هر نوع آگهی و خبرپراکنی سیاسی، اجتماعی یا مذهبی که جنبه تجاری نداشته باشد،

✅ درج شماره حساب یا حساب بانکی در متن آگهی،

✅ خدمات و کالاهایی که شائبه کلاهبرداری در آن مشاهده شود.

✅درج مکرر آگهی‌‌های یکسان حتی با عناوین متفاوت در یک روز.

✅ ارسال مجدد یک آگهی‌‌ که از زمان حذف آن توسط کاربر، بیش از ۲۴ ساعت سپری نشده باشد.

✅ هرگونه به شبکه‌های اجتماعی مانند تلگرام و یا اینستاگرام در بخش توضیحات 

✅ درج سامانه پیامکی در متن آگهی.

✅ وجود جملات نادرست از نظر املائی یا نگارشی در متن اگهی و یا  عنوان اگهی .

✅هر اگهی نامفهوم و غلط و یا گمراه کننده

✅ هر اگهی که سرور یا کدنویسی سایت را به هر علتی مشکل مواجه کند. 

✅ هر اگهی که عنوانش فارسی نباشد.

✅ هر اگهی که در دسته بندی نامناسب درج شده باشد

✅ هر اگهی که مربوط به خارج از کانادا باشد.

✅ هر اگهی با ایمیل ادرس ها و اکانت های مختلف.

✅  هر اگهی که شامل کلمات کلیدی میباشد که با اگهی مرتبط نمی باشد.

✅ هر اگهی که مالکیت ، فروش ،خرید ان غیر قانونی میباشد.

✅ درج مکرر آگهی‌‌های  یکسان  که در چند دسته بندی مختلف درج شده باشد.

✅  درج  اگهی که ترافیک سایت را به ادرس دیگری هدایت کند.

 هرگونه سوءاستفاده از شماره تلفن همراه یا نشانی پست الکترونیکی دیگران پیگرد قانونی دارد و آگهی دهنده مسئول آن تلقی شده و Kiusk.ca در این مورد هیچ گونه مسئولیتی     ندارد.

اکانت شما 

جهت استفاده از وب سایت Kiusk.ca)Kiusk group ltd) شما ممکن است نیاز به  داشتن اکانت و ثبت نام با ایمیل ادرس و رمز عبور باشید ،ایمیل ادرس ارایه شده ایمیل ادرس شماست و شما شخصا مسعولیت حفظ و نگهداری رمز عبور شخصی و تمامی فعالیت های اکانت خود را دارید،در نتیجه شما باید از رمز عبور (گذرواژه)  خود نهایت مراقبت را انجام دهید و گذرواژه ایی انتخاب نمایید که قابل حدس زدن نباشد.

شما ممکن است به یک سرویس،توسط سرویسشخص ثالث ( third-party) وصل شوید که به ما اجازه دسترسی ذخیره ،و یا استفاده از ان سرویس ، توسط مجوزی که شما به ان سرویس داده است.

اگر شما فکر میکنید اکانت شما مورد خطر قرار گرفته و یا استفاده نابجا  شده از طریق ایمیل info@Kiusk.ca با ما مکاتبه کنید.');
  });
 }
}
